Holger's Java API

## com.antelmann.util
Class ResourceNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.util.ResourceNotFoundException

All Implemented Interfaces:
  Serializable

    public class ResourceNotFoundException

extends RuntimeException

Thrown to indicate that a specific resource (an image, a sound, etc.) needed to perform the requested operation was not found (while the resource was expected to be present with the distribution of this Antelmann.com framework).

Since:
  4/6/2002
Author:
  Holger Antelmann
See Also:
  `Settings.getResource(String)`, Serialized Form

Constructor Summary
`ResourceNotFoundException()`
`ResourceNotFoundException(String message)`
`ResourceNotFoundException(String message, Object resource)`
`ResourceNotFoundException(String message, Throwable cause)`
`ResourceNotFoundException(Throwable cause)`

Method Summary
`Object` `getResourceNotFound()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceNotFoundException

    public ResourceNotFoundException()

### ResourceNotFoundException

    public ResourceNotFoundException(String message)

### ResourceNotFoundException

    public ResourceNotFoundException(String message,
                                     Throwable cause)

### ResourceNotFoundException

    public ResourceNotFoundException(Throwable cause)

### ResourceNotFoundException

    public ResourceNotFoundException(String message,
                                     Object resource)

Method Detail

### getResourceNotFound

    public Object getResourceNotFound()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads